Get Deployment Domain Name for a resource kind

  • GET /platform/configuration/networking/deployment_domain_name/{resource_kind}
Auth

Gets Deployment Domain Name configuration value for a resource kind.

Path parameters

resource_kind enum required

The kind of resource you want to manage a Deployment Domain Name for.

Values: elasticsearch kibana apm appsearch enterprise_search integrations_server

Responses

The Deployment Domain Name was successfully retrieved

application/json
value string required

The domain name for all deployments. The hostname of an application in a deployment is constructed from the application ID and the domain name (for example, 1234567890.example.com).

Response headers

x-cloud-resource-version string

The resource version, which is used to avoid update conflicts with concurrent operations

x-cloud-resource-created string

The date-time when the resource was created (ISO format relative to UTC)

x-cloud-resource-last-modified string

The date-time when the resource was last modified (ISO format relative to UTC)

There is no configured Deployment Domain Name but optimistic locking was sent. (code: networking.cname.not_found)

application/json
errors object[] required

A list of errors that occurred in the failing request

code string required

A structured code representing the error type that occurred

message string required

A human readable message describing the error that occurred

fields string[]

If the error can be tied to a specific field or fields in the user request, this lists those fields

Response headers

x-cloud-error-codes enum

The error codes associated with the response